<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Homework</title>
  <style>
    #result {
      border-top: 150px solid black;
      border-bottom: 150px solid transparent;
      border-left: 0 solid transparent;
      border-right: 3px solid transparent;
      margin-left: 20px;
      height: 0;
      width: 0;
    }
    .result-wrapper {
      position: relative;
      padding-left: 40px;
    }
    #time {
      position: absolute;
      top: 50%;
    }
  </style>
</head>
<body>
  <div class="result-wrapper">
    <div id="time">0</div>
    <div id="result"></div>
  </div>
  <label>
    <span>Reverse mode</span>
    <input type="checkbox" id="mode">
  </label>
  <button id="start">Start / Stop</button>
  <button id="reset">Reset</button>
      <!--
        Создайте счетчик секунд, который начинает отчет с 1 и заканчивается на 30,
        также добавьте кнопки который останавливают отчет, и запускают его заново и добавьте кнопку обнуляющую отчет.
        Также попробуйте изменить код так чтобы отчет начиналься с 30 и заканчивалься на 1.
        Сделать кнопки которые выбирают режим в котором идет отсчет - обычный от 0 до 30 или реверсивный от 30 до 0

        + бонус: Сделать так что бы на каждый тик (1с/2c) менялся цвет фона. Можно на основе генератора случайного цвета с предудущих уроков.
        + бонус: Сделать визуализацию стрелки которая идет по кругу
            document.getElementById("myDIV").style.transform = "rotate(7deg)";
      -->
      <script>

        let interval = null;
        let active = false;
        let counter = 0;
        let start = document.getElementById('start');
        let result = document.getElementById('result');
        let time = document.getElementById('time');
        let wrapper = document.querySelector('.result-wrapper');

        start.addEventListener('click', () => {
          active = !active;
          if (interval === null) {
            interval = setInterval(() => {
              let mode = document.getElementById('mode').checked;
              if (active) {
                wrapper.style.background = getColor();
                if (mode) {
                  counter = counter > 0 ? counter - 1 : 0;
                } else {
                  counter = counter < 30 ? counter + 1 : 0;
                }
              }
              start.innerText = active ? 'Stop' : 'Start';
              result.style.transform = 'rotate(' + 6*counter + 'deg)';
              time.innerText = counter;
            }, 1000);
          }
        });

        document.getElementById('reset').addEventListener('click', () => {
          if (interval) {
            clearInterval(interval);
            interval = null;
            counter = 0;
            active = false;
            start.innerText = 'Start / Stop';
            result.style.transform = 'rotate(0deg)';
            time.innerText = 0;
            wrapper.style.background = '#ffffff';
          }
        });

        function getColor() {
          let color = '#';
          for (let i=0; i<3; i++) {
            let rand = getRandomIntInclusive(0, 255);
            color += rand.toString(16);
          }
          return color;
        }
        function getRandomIntInclusive(min, max) {
          min = Math.ceil(min);
          max = Math.floor(max);
          return Math.floor(Math.random() * (max - min + 1)) + min;
        }
      </script>
</body>
</html>
